# VecSetBlockSize

Sets the blocksize for future calls to VecSetValuesBlocked() and VecSetValuesBlockedLocal().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetBlockSize(Vec v,PetscInt bs)

Collective on Vec

### Input Parameter

| v | - the vector
| bs | - the blocksize

### Notes

All vectors obtained by VecDuplicate() inherit the same blocksize.

### See Also

VecSetValuesBlocked(), VecSetLocalToGlobalMappingBlock(), VecGetBlockSize()

Level:advanced
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex12.c.html
src/vec/vec/examples/tutorials/ex16.c.html
src/vec/vec/examples/tutorials/ex11f.F.html